
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.util.Random;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author 4914
 */
public class Scacc {

    // Lato della casella, numero della casella, i due colori delle caselle
    private int lunghezza;
    private int numero;
    private Color color1;
    private Color color2;

    // Costruttore
    public Scacc(int l, int n, Color c1, Color c2) {
        lunghezza = l;
        numero = n;
        if (c1 == null) {
            color1 = Color.BLACK;
        } else {
            color1 = c1;
        }
        if (c2 == null) {
            color2 = Color.WHITE;
        } else {
            color2 = c2;
        }

    }

    // Costruttore con colori di default nero e bianco
    public Scacc(int l, int n) {
        this(l, n, Color.BLACK, Color.WHITE);
    }

    // Cambio del colore 1
    public void setColor1(Color c) {
        color1 = c;
    }

    // Cambio del colore 2
    public void setColor2(Color c) {
        color2 = c;
    }

    // Cambio dei colori con colori generati casualmente
    // one = true --> cambio il colore 1
    // two = true --> cambio il colore 2
    public void randomColor(boolean one, boolean two) {
        Random rnd = new Random();
        if (one) {
            setColor1(new Color(rnd.nextInt(256), rnd.nextInt(256), rnd.nextInt(256)));
        }
        if (two) {
            setColor2(new Color(rnd.nextInt(256), rnd.nextInt(256), rnd.nextInt(256)));
        }
    }

    // Disegno della scacchiera
    public void draw(Graphics2D g2) {
        int i = 1;
        int j = 1;
        for (j = 1; j <= numero; j++) {
            for (i = 1; i <= numero; i++) {
                // Singola casella
                Rectangle r = new Rectangle((i - 1) * lunghezza, (j - 1) * lunghezza, lunghezza, lunghezza);
                // Si alternano i colori
                if ((i + j) % 2 == 0) {
                    g2.setColor(color1);
                } else {
                    g2.setColor(color2);
                }
                g2.fill(r);
            }
        }
    }
}
